## akonadi-mime 25.12.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.6.1")
project(Akonadi-Mime VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.18.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "6.8.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMQmlModule)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
    serializers/*.cpp
    serializers/*.h
    tests/*.cpp
    tests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMAddQch)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(AKONADI_MIME_VERSION ${PIM_VERSION})
set(AKONADI_VERSION "6.6.1")
set(KPIM_MIME_VERSION "6.6.1")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfigVersion.cmake"
    SOVERSION 6
)

########### Find packages ###########
find_package(Qt6QmlIntegration ${QT_REQUIRED_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

set(SharedMimeInfo_MINIMUM_VERSION "1.10")
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(LibXslt)
set_package_properties(
    LibXslt
    PROPERTIES
        DESCRIPTION
            "xsltproc"
        URL
            "http://xmlsoft.org/XSLT/"
        TYPE
            REQUIRED
        PURPOSE
            "Needed to generate D-Bus interface specifications"
)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.20.0
)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if(BUILD_TESTING)
    set(AKONADI_MIME_TEST_EXPORT AKONADI_MIME_EXPORT)
endif()
configure_file(akonadi-mimeprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mimeprivate_export.h")
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(serializers)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiMime")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiMime_QCH
        FILE KPim6AkonadiMimeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiMimeQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiMimeConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6AkonadiMimeTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiMimeTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
        EXPORT AKONADIMIME
        FILE akonadi-mime.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-mime (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:36:56 +0100

akonadi-mime (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:04 +0100

=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkmime-dev (>= 25.12.1~),
               libxslt1-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               shared-mime-info (>= 1.10~),
               xsltproc,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akonadi-mime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime.git
Rules-Requires-Root: no

Package: akonadi-mime-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi MIME handling library - data files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package contains data files for akonadi-mime library

Package: libakonadimime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.1~),
         libkpim6akonadimime6 (= ${binary:Version}),
         ${misc:Depends},
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadimime6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-mime 25.12.1+p24.04+vstable+git20260111.0558

=== debian/changelog ===
akonadi-mime (4:25.12.1+p24.04+vstable+git20260111.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 05:58:12 +0000

akonadi-mime (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:13 +1000

## akonadi-mime 25.12.1+p24.04+vstable+git20260118.0151

=== debian/changelog ===
akonadi-mime (4:25.12.1+p24.04+vstable+git20260118.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 01:51:48 +0000

## akonadi-mime 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -65,8 +65,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.6.1")
-set(KPIM_MIME_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.2")
+set(KPIM_MIME_VERSION "6.6.2")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"

=== debian/changelog ===
akonadi-mime (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 10:41:34 +0000

akonadi-mime (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:24:58 +0000

akonadi-mime (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: akonadi-mime
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.12.1~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6xmlgui-dev (>= 6.18.0~),
-               libkmime-dev (>= 25.12.1~),
+               libakonadi-dev (>= 4:25.12.2~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
+               libkmime-dev (>= 25.12.2~),
                libxslt1-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               shared-mime-info (>= 1.10~),
+               qt6-base-dev (>= 6.7.0~),
+               shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-mime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
 Rules-Requires-Root: no
 
 Package: akonadi-mime-data
@@ -44,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.12.1~),
+Depends: libakonadi-dev (>= 4:25.12.2~),
          libkpim6akonadimime6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Akonadi MIME handling library - development files

## akonadi-mime 25.12.2+p24.04+vstable+git20260206.1204

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup

=== debian/changelog ===
akonadi-mime (4:25.12.2+p24.04+vstable+git20260206.1204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 12:04:53 +0000

akonadi-mime (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:46:51 +0000

## akonadi-mime 25.12.2+p24.04+vstable+git20260214.1420

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,8 +65,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.6.2")
-set(KPIM_MIME_VERSION "6.6.2")
+set(AKONADI_VERSION "6.6.3")
+set(KPIM_MIME_VERSION "6.6.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"

=== debian/changelog ===
akonadi-mime (4:25.12.2+p24.04+vstable+git20260214.1420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 14 Feb 2026 14:20:10 +0000

## akonadi-mime 25.12.2+p24.04+vunstable+git20260206.1205

=== debian/changelog ===
akonadi-mime (4:25.12.2+p24.04+vunstable+git20260206.1205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 12:05:10 +0000

## akonadi-mime 25.12.2+p24.04+vunstable+git20260209.1347

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 
-set(PIM_VERSION "6.6.3")
+set(PIM_VERSION "6.6.40")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.21.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -43,9 +43,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMQtDeclareLoggingCategory)
@@ -54,19 +78,12 @@
 include(ECMCheckOutboundLicense)
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})
 
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
-
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.6.3")
-set(KPIM_MIME_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.41")
+set(KPIM_MIME_VERSION "6.6.44")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
@@ -104,8 +121,13 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0
+     KF 6.23.0 KMIME 6.7.0
 )
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
@@ -130,16 +152,6 @@
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiMime")
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6AkonadiMime_QCH
-        FILE KPim6AkonadiMimeQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiMimeQchTargets.cmake\")")
-endif()
-
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiMimeConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfig.cmake"

=== debian/changelog ===
akonadi-mime (4:25.12.2+p24.04+vunstable+git20260209.1347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 13:47:29 +0000

## akonadi-mime 25.12.2+p24.04+vunstable+git20260209.2216

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-kmime6\")
# generates a D-Bus interface description from a KConfigXT file
macro(kcfg_generate_dbus_interface _kcfg _name)
    add_custom_command(
        OUTPUT
            ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
        COMMAND
            ${LIBXSLT_XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name} ${KF5Akonadi_DATA_DIR}/kcfg2dbus.xsl
            ${_kcfg} > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    )
endmacro()

macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    set_source_files_properties(
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml
        PROPERTIES
            INCLUDE
                "metatype.h"
    )
    qt_add_dbus_interface(akonadimime_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_className}
    )
endmacro()

########### next target ###############

set(akonadimime_SRCS
    addressattribute.cpp
    attributeregistrar.cpp
    removeduplicatesjob.cpp
    specialmailcollections.cpp
    specialmailcollectionsrequestjob.cpp
    specialmailcollectionsdiscoveryjob.cpp
    messagefolderattribute.cpp
    messagemodel.cpp
    messageparts.cpp
    messageflags.cpp
    messagestatus.cpp
    newmailnotifierattribute.cpp
    pop3resourceattribute.cpp
    commandbase.cpp
    util.cpp
    emptytrashcommand.cpp
    markascommand.cpp
    movecommand.cpp
    movetotrashcommand.cpp
    standardmailactionmanager.cpp
    markascommandhelper_p.h
    markascommandhelper.cpp
    messagestatus.h
    util_p.h
    emptytrashcommand.h
    specialmailcollectionsrequestjob.h
    movecommand.h
    newmailnotifierattribute.h
    specialmailcollectionstesting_p.h
    standardmailactionmanager.h
    messagefolderattribute.h
    removeduplicatesjob.h
    movetotrashcommand.h
    specialmailcollectionsdiscoveryjob.h
    messageflags.h
    pop3resourceattribute.h
    addressattribute.h
    markascommand.h
    messagemodel.h
    commandbase.h
    specialmailcollections.h
    metatype.h
    messageparts.h
    mdnstateattribute.h
    mdnstateattribute.cpp
    dispatcherinterface.cpp
    dispatchmodeattribute.cpp
    errorattribute.cpp
    transportattribute.cpp
    sentactionattribute.cpp
    sentbehaviourattribute.cpp
    messagequeuejob.cpp
    outboxactions.cpp
    filteractionjob.cpp
    filteractionjob_p.h
    errorattribute.h
    outboxactions_p.h
    dispatcherinterface_p.h
    sentbehaviourattribute.h
    messagequeuejob.h
    sentactionattribute.h
    transportattribute.h
    dispatchmodeattribute.h
    dispatcherinterface.h
)

add_resource_iface(imapresource.kcfg
    org.kde.Akonadi.Imap.Settings imapsettings
)

# TODO: add the necessary API in SpecialCollections
#if(BUILD_TESTING)
#    list(APPEND akonadimime_SRCS specialmailcollectionstesting.cpp)
#endif()

kconfig_add_kcfg_files(akonadimime_SRCS
    specialmailcollectionssettings.kcfgc
)

install(FILES specialmailcollections.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_library(KPim6AkonadiMime ${akonadimime_SRCS})
ecm_qt_declare_logging_category(KPim6AkonadiMime HEADER akonadi_mime_debug.h IDENTIFIER AKONADIMIME_LOG CATEGORY_NAME log_akonadi_mime)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6AkonadiMime
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KPim6AkonadiMime BASE_NAME akonadi-mime)

qt_extract_metatypes(KPim6AkonadiMime)

add_library(KPim6::AkonadiMime ALIAS KPim6AkonadiMime)

target_include_directories(
    KPim6AkonadiMime
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime>"
)
target_include_directories(
    KPim6AkonadiMime
    PUBLIC
        "$<BUILD_INTERFACE:${Akonadi-Mime_SOURCE_DIR}/src;${Akonadi-Mime_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6AkonadiMime
    PUBLIC
        KPim6::AkonadiCore
    PRIVATE
        KPim6::Mime
        KPim6::AkonadiWidgets
        KF6::KIOCore
        KF6::I18n
        KF6::XmlGui
        Qt::DBus
)

set_target_properties(
    KPim6AkonadiMime
    PROPERTIES
        VERSION
            ${AKONADIMIME_VERSION}
        SOVERSION
            ${AKONADIMIME_SOVERSION}
        EXPORT_NAME
            AkonadiMime
)

install(TARGETS KPim6AkonadiMime EXPORT KPim6AkonadiMimeTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(AkonadiMime_CamelCase_HEADERS
    HEADER_NAMES

    AddressAttribute
    CommandBase
    MDNStateAttribute
    MessageFlags
    MessageFolderAttribute
    MessageModel
    MessageParts
    MessageStatus
    MarkAsCommand
    MoveCommand
    NewMailNotifierAttribute
    Pop3ResourceAttribute
    RemoveDuplicatesJob
    SpecialMailCollections
    SpecialMailCollectionsDiscoveryJob
    SpecialMailCollectionsRequestJob
    StandardMailActionManager
    DispatcherInterface
    MessageQueueJob
    TransportAttribute
    SentBehaviourAttribute
    DispatchModeAttribute
    ErrorAttribute
    SentActionAttribute


    REQUIRED_HEADERS AkonadiMime_HEADERS
    PREFIX Akonadi
)

install(
    FILES
        ${AkonadiMime_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime/Akonadi
    COMPONENT Devel
)

install(
    FILES
        ${AkonadiMime_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime/akonadi
    COMPONENT Devel
)

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES x-vnd.kde.contactgroup.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

add_subdirectory(quick)
ecm_generate_qdoc(KPim6AkonadiMime akonadi-mime.qdocconf)

=== debian/changelog ===
akonadi-mime (4:25.12.2+p24.04+vunstable+git20260209.2216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 22:16:54 +0000
